View Issue Details

IDProjectCategoryView StatusLast Update
0005470SUMoBugpublic2019-05-21 18:21
Reporterwolf Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version5.9 
Target Version5.11.x 
Summary0005470: SUMo Pro behaviour for PortableApps.com component SUMo
DescriptionI have SUMo Pro installed as well as PortableApps.com with several components including SUMo Portable. I've added the installation location of PortableApps.com to the folders for scanning by SUMo Pro and have run it in order to include these findings in the resulting report. I further have configured SUMo Pro not to use the shortcut to direct download of developer resp. publisher web site but continue lookup on SUMo server web site. There seems to be a fundamental bug in installed SUMo for such a configuration. It reports all components of the local PortableApps.com installation TWICE and those installed additionally outside that platform another time. One of the two report entries has the suffix Portable and PortableApps.com as publisher, the other one is without that suffix and with the original component publisher as publisher although with an installation path below the PortablesApps.com installation root. And in case that such a component is also installed outside in classical manner, this tool is reported a third time with the standard installation path. This happens not only for SUMo but also for some other tools on my device.

I didn't read details for developers on how to integrate a software into the PortableApps.com platform. So it's an unverified assumptions that they do some similar adaption in the manner of a side-by-side installation resulting in various folders for the component to integrate including the unmodified original component. Because of this need of adaption around the original tool, it takes quiet some time before a tool released by the original tool publisher gets updated into PortableApps.com framework. In this mean time the original component gets reported as out of date with available update although it is not yet released by PortableApps.com for every such component! This is the case for the component SUMo already for several months.

When in clicking on the component SUMo of component SUMo Portable of PortableApps.com in the SUMo Pro report, it does not perform the configured lookup on SUMo server but instead opens a popup window in SUMo Pro reporting its installation as outdated and the choice for performing auto-update, manual update or closing of this popup window. When selecting auto-update, it works as if SUMo Pro would have been out of date and updated although SUMo Pro had reported SUMo Pro as up to date and the subcomponent SUMo with signature of KC Softwares of the component SUMo Portable with the signature of PortableApps.com as outdated. Although tool tip in SUMo Pro report show that this subcomponent of of PortableApps.com is concerned and not SUMo Pro itself, SUMo Pro acts if SUMo Pro would be concerned.

Hence auto-update replaces SUMo Pro version 5.9.0.420 by version 5.9.0.420 and keeping version 5.8.7.409 of the PortableApps.com path unmodified!

So fixing the bug 5469 will not fix this other bug. It would only hide this bug.

I guess this bug and phenomen concerns two locations, not just one. The first point is that SUMo Pro doesn't take into account installation path for deciding to propose auto-update and being out of date although it could know that it does not concern the actually running instance but a different instance at a different installation path! And the second location is that when auto-update is selected in SUMo Pro report and popup window for the PortableApps.com subcomponent, it doesn't take into account the current installation path of that selected component as if there woul only exist one instance which is not the case.
TagsNo tags attached.

Relationships

related to 0005469 acknowledgedKyle_Katarn SUMo reporting PortableApps.com components twice instead of once 
related to 0005493 acknowledgedKyle_Katarn SUMo Server behaviour if PortableApps.com component SUMo is also detected by SUMo Pro installation 

Activities

Kyle_Katarn

2019-05-07 22:27

administrator   ~0003261

Please attach screenshot to clarify problem statement. Thanks !

wolf

2019-05-09 00:36

reporter   ~0003264

Sorry, I can't. I tried for more as the length of a soccer game. MantisBT dropped my first note due to timeout. And the standard Windows Snipping Tool for taking screenshots wasn't quick enough to catch the auto-update window with scroll bar and the auto-update selection window in the background. So I've to repeat again. (MantisBT in your configuration allows to return to the written description section but not to the written note section. After timeout, it returns to the EMPTY note section.

The 1st screenshot shows the three instances of SUMo reported with just one being claimed out of date. On the top of the screenshot you see that report has been created by the actual SUMo Pro instance with current version 5.9.0.420.

When double-clicking on that outdated SUMo entry with version 5.8.7.409, the corresponding SUMo server report should appear as configured. Instead the popup window for informing of available update of the currently running SUMo instance 5.9.0.420 appears asking to select which update method to use with auto-update being preselected as it is a Pro instance. The portable instance with older version would not be a Pro instance and hence should pre-select manual update. This 2nd screenshot shows this selection and information popup window and has the token "upd" in its file name.

The 3rd screenshot shows the reason why SUMo is reported three times as reported in the related issue. In order to be able to take a screenshot for this situation, I reconfigured SUMo to show the file path of detected tools in column instead of tool tip. Additionally, it shows that the related issue is generic as you can see that the same pattern applies for the detected tools Sumatra PDF just below and Startup Sentinel further down in the same screenshot. The file name of this third screenshot has a more recent date token.

Please keep in mind to fix this error first before fixing the related one as you'll no longer be able to reproduce and test this current issue due to hiding effect.
sumo.portable.20190808.png (95,723 bytes)   
sumo.portable.20190808.png (95,723 bytes)   
sumo.portable.upd.20190808.png (61,086 bytes)   
sumo.portable.upd.20190808.png (61,086 bytes)   
sumo.portable.20190809.png (141,263 bytes)   
sumo.portable.20190809.png (141,263 bytes)   

Kyle_Katarn

2019-05-09 21:09

administrator   ~0003267

Thanks !

Issue History

Date Modified Username Field Change
2019-05-07 19:18 wolf New Issue
2019-05-07 19:18 wolf Issue generated from: 0005469
2019-05-07 19:18 wolf Relationship added related to 0005469
2019-05-07 22:27 Kyle_Katarn Assigned To => Kyle_Katarn
2019-05-07 22:27 Kyle_Katarn Status new => feedback
2019-05-07 22:27 Kyle_Katarn Note Added: 0003261
2019-05-09 00:36 wolf File Added: sumo.portable.20190808.png
2019-05-09 00:36 wolf File Added: sumo.portable.upd.20190808.png
2019-05-09 00:36 wolf File Added: sumo.portable.20190809.png
2019-05-09 00:36 wolf Note Added: 0003264
2019-05-09 21:09 Kyle_Katarn Status feedback => acknowledged
2019-05-09 21:09 Kyle_Katarn Note Added: 0003267
2019-05-09 21:10 Kyle_Katarn Target Version => 5.11.x
2019-05-21 18:21 wolf Issue cloned: 0005493
2019-05-21 18:21 wolf Relationship added related to 0005493